# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/chfn /usr/bin/chsh /usr/bin/passwd cracklib-devel
# END SourceDeps(oneline)
Summary: NIS (or YP) client programs
Name: yp-tools
Version: 2.12
Release: alt1_13
License: GPLv2
Group: System/Base
Source: http://www.linux-nis.org/download/yp-tools/yp-tools-%{version}.tar.bz2
# Not sent to upstream
Patch0: yp-tools-2.11-shadow.patch
Patch1: yp-tools-2.12-typo.patch
Patch2: yp-tools-2.12-gethost.patch
Patch3: yp-tools-2.12-hash.patch
Patch4: yp-tools-2.12-crypt.patch
Patch5: yp-tools-2.12-adjunct.patch
Patch6: yp-tools-gettext.patch
Url: http://www.linux-nis.org/nis/yp-tools/index.html
BuildRequires: autoconf automake gettext-devel
Requires: ypbind
Source44: import.info

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package's NIS implementation is based on FreeBSD's YP and is a
special port for glibc 2.x and libc versions 5.4.21 and later.  This
package only provides the NIS client programs.  In order to use the
clients, you'll need to already have an NIS server running on your
network. An NIS server is provided in the ypserv package.

Install the yp-tools package if you need NIS client programs for machines
on your network.  You will also need to install the ypbind package on
every machine running NIS client programs.  If you need an NIS server,
you'll need to install the ypserv package on one machine on the network.

%prep
%setup -q
%patch0 -p1 -b .shadow
%patch1 -p1 -b .typo
%patch2 -p1 -b .gethost
%patch3 -p1 -b .hash
%patch4 -p1 -b .crypt
%patch5 -p1 -b .adjunct
%patch6 -p1 -b .gettext
autoreconf -i -f

%build
%configure --disable-domainname
make

%install
make DESTDIR="$RPM_BUILD_ROOT" INSTALL_PROGRAM=install install

%find_lang %name

%files -f %{name}.lang
%doc AUTHORS COPYING README ChangeLog NEWS etc/nsswitch.conf
%doc THANKS TODO
%{_bindir}/*
%{_mandir}/*/*
%{_sbindir}/*
/var/yp/nicknames

%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.12-alt1_13
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.12-alt1_12
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.12-alt1_11
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 2.12-alt1_9
- fc import

